%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-synaptics
Version: 1.1.0
Release: alt1
Serial: 1
Summary: Synaptics touchpad input driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-synaptics = %serial:%version-%release
Obsoletes: xorg-x11-drv-synaptics

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: libX11-devel libXi-devel libXtst-devel xorg-randrproto-devel

%description
synaptics  is  an  Xorg  input driver for the touchpads from
Synaptics Incorporated. Even tough these touchpads (by default, operat-
ing  in a compatibility mode emulating a standard mouse) can be handled
by the normal evdev or mouse drivers, this driver allows more  advanced
features of the touchpad to become available.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_fdidir
install -m644 *.fdi %buildroot%_fdidir/

%files
%_bindir/*
%_x11modulesdir/input/*.so
%_fdidir/*.fdi
%_man1dir/*
%_man4dir/*

%changelog
* Mon Mar 09 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Fri Feb 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt2
- requires XORG_ABI_XINPUT = 4.0

* Tue Feb 17 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt0.M50.1
- build for branch 5.0

* Mon Feb 02 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt1
- 1.0.0

* Wed Dec 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.3-alt3
- fdi: added AlpsPS/2 ALPS DualPoint TouchPad

* Wed Dec 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.3-alt2
- fdi: added ETPS/2 Elantech Touchpad

* Mon Dec 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.3-alt1
- 1.0 RC3

* Thu Dec 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.2-alt1
- 1.0 RC2

* Mon Nov 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.1-alt2
- updated config file

* Fri Nov 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.1-alt1
- 1.0 RC1

* Tue Sep 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.2-alt0.M41.1
- build for branch 4.1

* Thu Sep 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.2-alt1
- 0.15.2

* Sun Sep 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.1-alt1
- 0.15.1

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.0-alt6
- requires XORG_ABI_XINPUT = 2.1

* Wed Aug 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.0-alt4
- 0.15.0 release
- fdi: added AlpsPS/2 ALPS GlidePoint 

* Tue Aug 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.0-alt3
- fdi: enabled tap buttons

* Wed Jul 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.0-alt2
- fixed undefined psm_proto_operations

* Sat Jul 12 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.15.0-alt1
- initial build

